summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen2021-01-01 21:16:15 +0100
committer Willy Sudiarto Raharjo2021-01-02 04:48:24 +0100
commit010c2e6dadaafa06da6b72fe4aa6197a502beb03 (patch)
tree25dbc82451f13c3c0c80c128c803bf7c1f56e236
parentc3df69b4a546696200c726988b33ee80a612ead7 (diff)
downloadslackbuilds-010c2e6dadaafa06da6b72fe4aa6197a502beb03.tar.gz
libraries/zimg: Added (conversion, and dithering library)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/zimg/README8
-rw-r--r--libraries/zimg/slack-desc19
-rw-r--r--libraries/zimg/zimg.SlackBuild96
-rw-r--r--libraries/zimg/zimg.info10
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/zimg/README b/libraries/zimg/README
new file mode 100644
index 0000000000..f19101d38d
--- /dev/null
+++ b/libraries/zimg/README
@@ -0,0 +1,8 @@
+The "z" library implements the commonly required image processing
+basics of scaling, colorspace conversion, and depth conversion. A
+simple API enables conversion between any supported formats to operate
+with minimal knowledge from the programmer. All library routines
+were designed from the ground-up with correctness, flexibility, and
+thread-safety as first priorities. Allocation, buffering, and I/O are
+cleanly separated from processing, allowing the programmer to adapt
+"z" to many scenarios.
diff --git a/libraries/zimg/slack-desc b/libraries/zimg/slack-desc
new file mode 100644
index 0000000000..e44f7af219
--- /dev/null
+++ b/libraries/zimg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zimg: zimg (Scaling, colorspace conversion, and dithering library)
+zimg:
+zimg: The "z" library implements the commonly required image processing
+zimg: basics of scaling, colorspace conversion, and depth conversion.
+zimg:
+zimg: Homepage: https://github.com/sekrit-twc/zimg
+zimg:
+zimg:
+zimg:
+zimg:
+zimg:
diff --git a/libraries/zimg/zimg.SlackBuild b/libraries/zimg/zimg.SlackBuild
new file mode 100644
index 0000000000..b939fa1f10
--- /dev/null
+++ b/libraries/zimg/zimg.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for zimg
+
+# Copyright 2020 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zimg
+VERSION=${VERSION:-3.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-release-$VERSION
+tar xvf $CWD/$PRGNAM-release-$VERSION.tar.gz
+cd $PRGNAM-release-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/zimg/zimg.info b/libraries/zimg/zimg.info
new file mode 100644
index 0000000000..72906b4e66
--- /dev/null
+++ b/libraries/zimg/zimg.info
@@ -0,0 +1,10 @@
+PRGNAM="zimg"
+VERSION="3.0.1"
+HOMEPAGE="https://github.com/sekrit-twc/zimg"
+DOWNLOAD="https://github.com/sekrit-twc/zimg/archive/release-3.0.1/zimg-release-3.0.1.tar.gz"
+MD5SUM="b14d551f13819314e9733a400da04121"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="orbea@riseup.net"